Package org.snpsift.annotate

# Class DbVcfMem

java.lang.Object
org.snpsift.annotate.DbVcf
org.snpsift.annotate.DbVcfMem

All Implemented Interfaces:
  `DbMarker<org.snpeff.interval.Variant,org.snpeff.vcf.VariantVcfEntry>`

public class DbVcfMem extends DbVcf
Loads a VCF file into memory. WARNING: This is used only for testing and debugging purposes and should never be used in production!

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SHOW`
`static final int`
`SHOW_LINES`

### Fields inherited from class org.snpsift.annotate.DbVcf

`dbFileName, debug, vcfHeader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`DbVcfMem(String dbFileName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close database, free resources
`void`
`open()`
Open database annotation file
`List<org.snpeff.vcf.VariantVcfEntry>`
`query(org.snpeff.interval.Variant variant)`
Find matching entries in the database

### Methods inherited from class org.snpsift.annotate.DbVcf

`getVcfHeader, setDebug, setVerbose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW

public static final int SHOW

See Also:
  - Constant Field Values

### SHOW_LINES

public static final int SHOW_LINES

See Also:
  - Constant Field Values

## Constructor Details

### DbVcfMem

public DbVcfMem(String dbFileName)

## Method Details

### close

public void close()
Description copied from interface: `DbMarker`
Close database, free resources

Specified by:
  `close` in interface `DbMarker<org.snpeff.interval.Variant,org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `close` in class `DbVcf`

### open

public void open()
Open database annotation file

Specified by:
  `open` in interface `DbMarker<org.snpeff.interval.Variant,org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `open` in class `DbVcf`

### query

public List<org.snpeff.vcf.VariantVcfEntry> query(org.snpeff.interval.Variant variant)
Description copied from class: `DbVcf`
Find matching entries in the database

Specified by:
  `query` in interface `DbMarker<org.snpeff.interval.Variant,org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `query` in class `DbVcf`